[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: compiling GUI on NetBSD __unsafe_unretained

From: Riccardo Mottola
Subject: Re: compiling GUI on NetBSD __unsafe_unretained
Date: Thu, 15 Dec 2011 12:18:55 +0100
User-agent: Mozilla/5.0 (Windows NT 5.1; rv:8.0.1) Gecko/20111121 Firefox/8.0.1 SeaMonkey/2.5


right so. Found it. I was configuring and installing in my "own" prefix:

But NetBSD packages installed, without me knowing, GNUstep packages into /usr/pkg . Probably pulled in by some dependency

-E however shows clearly that it is picking up the system installed version:
/usr/pkg/include/GNUstepBase/GSConfig.h \

this is quite confusing. Two installation should be able to live together.

I will remove the installed packages as a test (also I don't know what pulled them in...) and see if gnustep works.


David Chisnall wrote:
On 15 Dec 2011, at 10:19, Riccardo Mottola wrote:

On 15 Dec 2011, at 09:53, Riccardo Mottola wrote:

A question wher ewould be objc_arc be defined?
Nowhere.  __has_feature(objc_arc) will evaluate to true (1) if you are 
compiling with -fobjc-arc.

so everything looks "correct" indeed. Even more fog leaves my gnustep lost.
Try adding -E to be compile line for the failing file and check that GSConfig.h 
is being included?


-- Sent from my Apple II

reply via email to

[Prev in Thread] Current Thread [Next in Thread]